Merge branch '17119-make-arvados-path-configurable-in-tests'
authorWard Vandewege <ward@curii.com>
Fri, 12 Mar 2021 22:45:55 +0000 (17:45 -0500)
committerWard Vandewege <ward@curii.com>
Fri, 12 Mar 2021 22:46:18 +0000 (17:46 -0500)
refs #17119

Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward@curii.com>

Makefile
tools/run-integration-tests.sh

index 6da3ed1062b038ece0a901794944f93cb053a6ba..de88cd3548cbc04be68900fa0b5ce8fecbb00c3c 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -19,6 +19,8 @@ ITERATION?=1
 
 TARGETS?="centos7 debian8 debian10 ubuntu1404 ubuntu1604 ubuntu1804 ubuntu2004"
 
+ARVADOS_DIRECTORY?=unset
+
 DESCRIPTION=Arvados Workbench2 - Arvados is a free and open source platform for big data science.
 MAINTAINER=Arvados Package Maintainers <packaging@arvados.org>
 
@@ -65,7 +67,7 @@ unit-tests: yarn-install
 
 integration-tests: yarn-install
        yarn run cypress install
-       $(WORKSPACE)/tools/run-integration-tests.sh
+       $(WORKSPACE)/tools/run-integration-tests.sh -a $(ARVADOS_DIRECTORY)
 
 integration-tests-in-docker: workbench2-build-image
        docker run -ti -v$(PWD):$(PWD) -w$(PWD) workbench2-build make integration-tests
index 140de3c8ad2fcbcf9c7bce5ba0e7d7c91bfe8c77..fbc456bd5e0bdf567d1a1f3de66488a8f139aa91 100755 (executable)
@@ -10,7 +10,7 @@ cleanup() {
     set +e +o pipefail
     kill ${arvboot_PID} ${consume_stdout_PID} ${wb2_PID} ${consume_wb2_stdout_PID}
     wait ${arvboot_PID} ${consume_stdout_PID} ${wb2_PID} ${consume_wb2_stdout_PID} || true
-    if [ "${CLEANUP_ARVADOS_DIR}" -eq "1" ]; then
+    if [ ${CLEANUP_ARVADOS_DIR} -eq 1 ]; then
         rm -rf ${ARVADOS_DIR}
     fi
     echo >&2 "done"
@@ -36,9 +36,9 @@ usage() {
 # Allow self-signed certs on 'wait-on'
 export NODE_TLS_REJECT_UNAUTHORIZED=0
 
+ARVADOS_DIR="unset"
 CLEANUP_ARVADOS_DIR=0
 CYPRESS_MODE="run"
-ARVADOS_DIR=`mktemp -d`
 WB2_DIR=`pwd`
 
 while getopts "ia:w:" o; do
@@ -61,6 +61,13 @@ while getopts "ia:w:" o; do
 done
 shift $((OPTIND-1))
 
+if [ "${ARVADOS_DIR}" = "unset" ]; then
+  echo "ARVADOS_DIR is unset, creating a temporary directory for new checkout"
+  ARVADOS_DIR=`mktemp -d`
+fi
+
+echo "ARVADOS_DIR is ${ARVADOS_DIR}"
+
 ARVADOS_LOG=${ARVADOS_DIR}/arvados.log
 ARVADOS_CONF=${WB2_DIR}/tools/arvados_config.yml